> For the complete documentation index, see [llms.txt](https://docs.release.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.release.com/reference-documentation/release.yaml.md).

# The .release.yaml file

Customize how your application is built and run

Release will look for a `.release.yaml` file to help inform how to build and run your application. The file `.release.yaml` must be in the root of the repository.

## Define the Docker Compose file

Here's how to define the Docker Compose file to use in Release:

```yaml
compose: docker-compose.extended.yml
```

## Define a directory of raw Kubernetes manifests

Release allows you to define a directory of raw Kubernetes manifests that will be applied to each namespace. Release will adjust the namespace defined in each of the manifests to allow your services to run alongside whatever you have defined in the Kubernetes manifests.

```yaml
manifests: k8s/manifests
```

## Define the location of your GitOps templates

You can define how to build and deploy your application template and environment variables as discussed in the [GitOps](/reference-documentation/gitops.md) page.

```yaml
application_template: .release/application_template.yaml
environment_variables: .release/environment_variables.yaml
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.release.com/reference-documentation/release.yaml.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
